Subject: Ticket Assigned - Delivery
From: Max <[email-masked]>
To: [email-masked]
Date: Wed, 12 May 2021 12:33:49 +0000

Hi Ali Atef,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery I had made an online purchase for aed 144 using my credit card. Once I entered my otp the page redirected and returned to checkout page. On checking my card balance I found that the amount has been deducted in favor of landmark group. Could you please confirm my order as I am ordering from Qatar as a gift to my relatives in UAE. My phone no. Is 0097455726332. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2543332